import 'package:flutter/material.dart';
import 'package:jiffy/jiffy.dart';

TextStyle smTxt = TextStyle(color: (Color(0xFFB1BCD0)), fontSize: 12);
TextStyle lgTxt = TextStyle(color: (Color(0xFF4186E4)), fontSize: 18);

class DefaultDateRender extends StatelessWidget {
  final DateTime date;

  DefaultDateRender(this.date);

  @override
  Widget build(BuildContext context) {
    Jiffy day = Jiffy(date);

    return Column(
      mainAxisAlignment: MainAxisAlignment.spaceEvenly,
      children: [
        Text(day.format('MMM'), style: smTxt),
        Text(day.format('dd'), style: lgTxt),
        Text(day.format('EEE'), style: smTxt),
      ],
    );
  }
}