# Timeline date picker

A timeline date picker for flutter

## Simple Example

```
@override
  Widget build(BuildContext context) {
    DateTime today = DateTime.now();
    DateTime startDate = new DateTime(today.year, today.month - 1, today.day);
    DateTime endDate = new DateTime(today.year, today.month + 1, today.day);

    return Scaffold(
      appBar: AppBar(
        title: Text('title'),
      ),
      body: DatePicker(
        startDate: startDate,
        endDate: endDate,
        onChange: handleChange,
        // dateRender: (date) => Day(date),
        selectedDateRender: (date) => Column(
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          children: [
            Text(
              Jiffy(date).format('dd'),
              style: TextStyle(fontWeight: FontWeight.w700, color: (Color(0xFF4186E4)), fontSize: 30),
            ),
          ],
        ),
      ),
    );
  }
```
